%define fullname %{name}-%{version}
Summary: Translates rpm database into HTML and RDF info
Name: rpm2html 
%define version 1.2
Version: %{version}
Release: 1mdk
Group: Utilities/System
Source: ftp://rufus.w3.org/pub/rpm2html/%{fullname}.tar.bz2
URL: http://rufus.w3.org/linux/rpm2html/
Packager: Oden Eriksson <oden@kvikkjokk.com>
Copyright: W3C Copyright (BSD like).
Provides: rpm2html
Requires: perl >= 5.003
Prefix:    /usr
Docdir:    %{prefix}/doc
BuildRoot: /var/tmp/%{fullname}


%description
Rpm2html tries to solve 2 big problems one face when
grabbing a RPM package from a mirror on the net and trying to
install it:
   - it gives more information than just the filename before
     installing the package.
   - it tries to solve the dependancy problem by analyzing all
     the Provides and Requires of the set of RPMs. It shows the
     cross references by the way of hypertext links. 
Rpm2html can now dump the metadata associated to RPM packages into
standard RDF files.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure \
--prefix=%{prefix} \
--sysconfdir=/etc
make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc
install -d $RPM_BUILD_ROOT%{prefix}/{bin,doc,/share/rpm2html,man/man1}
install -s rpm2html $RPM_BUILD_ROOT%{prefix}/bin
for ll in fr es de pl cz; do
  install msg.$ll $RPM_BUILD_ROOT%{prefix}/share/rpm2html/msg.$ll
done
install rpm2html.config  $RPM_BUILD_ROOT/etc
install rpm2html.1  $RPM_BUILD_ROOT%{prefix}/man/man1/rpm2html.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES BUGS Copyright PRINCIPLES README TODO 
%doc rpm2html-cdrom.config rpm2html-en.config
%doc rpm2html.config.mirrors rpm2html-fr.config
%doc rpm2html.config.resources rpm2html-rdf.config
%dir %{prefix}/bin
%{prefix}/bin/rpm2html
%{prefix}/share/rpm2html/msg.*
%config /etc/rpm2html.config
%doc %{prefix}/man/man1/rpm2html.1


%changelog
* Sun Jul 18 1999 Oden Eriksson <oden@kvikkjokk.com>
  [1.2]
- Repacked for Linux Mandrake
  
* Fri Apr  9 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.2.

* Fri Apr  2 1999 Jeff Johnson <jbj@redhat.com>
- repackage for Red Hat 6.0.
